How to install 3.0 OS beta

Discussion in 'iPhone' started by Lucagfc, Mar 17, 2009.

Thread Status:
Not open for further replies.
  1. Lucagfc macrumors 6502

    Joined:
    Sep 23, 2008
    #1
    Hi everybody

    Can anyone tell me how to install the 3.0 beta software on my iPhone? i downloaded the file but .ipsw but when I double click on it nothing happen. Can anyone help me? thanks a lot
     
  2. sd2009 macrumors 6502

    Joined:
    May 30, 2008
  3. dustinl4m3 macrumors regular

    Joined:
    Jul 11, 2008
    #3
    I assume you got it through legit channels.

    If that is the case, then hold option while clicking the "Restore" button in iTunes.
     
  4. MistaBungle macrumors 6502a

    MistaBungle

    Joined:
    Apr 3, 2005
    #4
    Crazy. As much as I want to test the beta I read somewhere that if you install it you can't go back to previous versions.

    I'm just going to have to wait until the jailbreak for this surfaces I think. Hopefully dev team is on the case already!
     
  5. mavis macrumors 68040

    mavis

    Joined:
    Jul 30, 2007
    Location:
    Tokyo, Japan
    #5
    I don't know that 'correct' way to do it, but I simply ALT-clicked the update button in iTunes and selected the .ipsw file manually. It worked perfectly for both my iPhone 3G and my iPod touch without having to restore or re-install any apps/media. ;)
     
  6. topdolla69 macrumors newbie

    Joined:
    Sep 12, 2008
  7. Ivan P macrumors 68030

    Ivan P

    Joined:
    Jan 17, 2008
    Location:
    Home
    #7
    You have to be a registered iPhone App developer AND pay the $99 developer's fee before you can get it.
     
  8. Lucagfc thread starter macrumors 6502

    Joined:
    Sep 23, 2008
    #8
    I downloaded it from apple web site. exactly te Apple developer program page! obviusly its a lecit channel!!
     
  9. kwyn macrumors regular

    Joined:
    Jan 9, 2009
    #9
    Can this be done from windows too? I assume any Itunes will do it?
     
  10. mavis macrumors 68040

    mavis

    Joined:
    Jul 30, 2007
    Location:
    Tokyo, Japan
    #10
    You need to register your devices' UDID with the Program Portal to be able to sync with iTunes. ;)

    I had already registered my iPhone 3G but forgot to register my new iPod touch after it was replaced; the iPhone 3G upgraded to OS 3.0 without a problem, but the (unregistered) touch did not. It actually installed the new OS just fine, but iTunes wouldn't activate it as it was not recognized. Once I registered the iPod's UDID with the Program Portal, it activated in iTunes and worked fine.

    IOW, be careful. You will lose the ability to sync with iTunes if you install the 3.0 beta on an unregistered device. And since you apparently cannot downgrade back to 2.X, I suspect you'd just be frakked. ;)
     
  11. Valmor macrumors member

    Joined:
    Sep 5, 2007
    #11
    Are you concerned at all about wanting to go back to 2.2? I guess if 3.0 works well enough I don't mind living w/ beta until the final summer release.
     
  12. Fonzijr1964 macrumors 68000

    Fonzijr1964

    Joined:
    Feb 26, 2008
    Location:
    Maryland
    #12
    u cant use it because u have to have a code
     
  13. gadgetdad macrumors 6502a

    gadgetdad

    Joined:
    Sep 10, 2007
    Location:
    On my iPhone
    #13
    Interesting. And I suppose the Program Portal is only accessable with the 100 bucks.
     
  14. kwyn macrumors regular

    Joined:
    Jan 9, 2009
    #14
    So are you saying, even if I can get the OS and install my Iphone won't work? I have signed up to be a developer quite some time back, but didn't pay any money. I got confirmation/password etc... to download SDK.
     
  15. mavis macrumors 68040

    mavis

    Joined:
    Jul 30, 2007
    Location:
    Tokyo, Japan
    #15
    Naturally. ;)

    All I know is, my iPhone 3G (which I had already registered with the Program Portal) worked perfectly after upgrading to 3.0. My iPod touch, which was not registered, upgraded to 3.0 just fine (and was usable!) but couldn't sync with iTunes. Once I registered the UDID, it was able to sync.
     
  16. kwyn macrumors regular

    Joined:
    Jan 9, 2009
    #16
    Thanks for the info. Do you have to pay to register the UDID??
     
  17. mavis macrumors 68040

    mavis

    Joined:
    Jul 30, 2007
    Location:
    Tokyo, Japan
    #17
    I figure if it doesn't work well, I'll find a reason to get my iPhone or iPod replaced at the Genius Bar. But I have high hopes that it will be OK. ;)

    Yes, because I don't think the Program Portal is available unless you pay. But I have no way of verifying that ...
     
  18. gadgetdad macrumors 6502a

    gadgetdad

    Joined:
    Sep 10, 2007
    Location:
    On my iPhone
    #18
    Apple will make some big bucks today with new developers...All part of the master plan :cool:
     
  19. kwyn macrumors regular

    Joined:
    Jan 9, 2009
    #19
    Can the new OS be installed with Itunes for Windows?
    If one was able to obtain the new OS.
     
  20. MacToddB macrumors 6502a

    MacToddB

    Joined:
    Aug 21, 2007
    Location:
    Rochester, NY
    #20
    I just upgraded to an iPhone 3G when BestBuy had their deal a couple of weeks ago. I still haven't yet handed down my 1st gen iPhone.

    What would the ramifications be, if I put 3.0 on it, and then gave it to a friend? Would they not be able to sync in iTunes, if they didn't have a development account? I don't want to sell it if it violates the SDK agreement, and I don't want someone to end up with an iPhone that won't sync. But I would think it would be good to have copy paste etc.
     
  21. anjinha macrumors 604

    anjinha

    Joined:
    Oct 21, 2006
    Location:
    San Francisco, CA
    #21
    How many devices we can register on each developer account?
     
  22. dustinl4m3 macrumors regular

    Joined:
    Jul 11, 2008
    #22
    Can register 100 devices on each developer account.
     
  23. Dsr1205 macrumors 6502

    Joined:
    Jan 16, 2008
    #23
    you updated to the 3.0 ispw without adding your uuid to your account? or your dont have dev account?
     
  24. Asar macrumors regular

    Joined:
    May 29, 2006
    #24
    until then, so your not without a phone, use DFU mode and use a PWNED software bundle of 2.2.1. you can downgrade this way. i done it about 3 times and if you search more than myself have done this.
     
  25. checkers89 macrumors newbie

    Joined:
    Mar 18, 2009
    #25
    Confrim please

    Can anyone with a bricked phone on 3.0 confirm this will work?
    I have the 3.0 update sitting on my desktop but I don't want to update if there is no way I can unbrick (if bricking occurs).

    Also,
    If I install 3.0 and it bricks, can I add my iphone UUID to the dev centre portal afterwards?

    Dont want to upgrade and have absolutely NO options available to me. At least paying the $99 is AN option, a last resort.
     
Thread Status:
Not open for further replies.

Share This Page